// 自动生成模板Assignment
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/example"
)

// Assignment 结构体
// 如果含有time.Time 请自行import time包
type Assignment struct {
	global.GVA_MODEL
	UnitIds string                             `json:"unitIds" form:"unitIds" gorm:"column:unit_ids;comment:目标部门;type:varchar(255);"`
	Title   string                             `json:"title" form:"title" gorm:"column:title;comment:标题;type:varchar(255);"`
	Text    string                             `json:"text" form:"text" gorm:"column:text;comment:内容;type:text;"`
	Files   []example.ExaFileUploadAndDownload `json:"files" gorm:"-"`
}

// TableName Assignment 表名
func (Assignment) TableName() string {
	return "assignment"
}
